com.genesyslab.wfm7.API.service.config712

## Class CfgTeamShort

- java.lang.Object
- - com.genesyslab.wfm7.API.service.config712.CfgTeamShort

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgTeamShort
      extends java.lang.Object
      implements java.io.Serializable

  "Short" Team information.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private int` | `wmAgentsNSizeIs` Number of agents in this Team
    `private java.lang.String` | `wmName` Team Name
    `private int` | `wmSiteId` Site ID, identifies `CfgSite` object that Team belongs to
    `private int` | `wmTeamId` Team ID

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgTeamShort()`
    `CfgTeamShort(int wmTeamId, int wmSiteId, java.lang.String wmName, int wmAgentsNSizeIs)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `getWmAgentsNSizeIs()` Gets the wmAgentsNSizeIs value for this CfgTeamShort.
    `java.lang.String` | `getWmName()` Gets the wmName value for this CfgTeamShort.
    `int` | `getWmSiteId()` Gets the wmSiteId value for this CfgTeamShort.
    `int` | `getWmTeamId()` Gets the wmTeamId value for this CfgTeamShort.
    `int` | `hashCode()`
    `void` | `setWmAgentsNSizeIs(int wmAgentsNSizeIs)` Sets the wmAgentsNSizeIs value for this CfgTeamShort.
    `void` | `setWmName(java.lang.String wmName)` Sets the wmName value for this CfgTeamShort.
    `void` | `setWmSiteId(int wmSiteId)` Sets the wmSiteId value for this CfgTeamShort.
    `void` | `setWmTeamId(int wmTeamId)` Sets the wmTeamId value for this CfgTeamShort.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### wmTeamId

          private int wmTeamId

      Team ID

    - #### wmSiteId

          private int wmSiteId

      Site ID, identifies `CfgSite` object that Team belongs to

    - #### wmName

          private java.lang.String wmName

      Team Name

    - #### wmAgentsNSizeIs

          private int wmAgentsNSizeIs

      Number of agents in this Team

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### CfgTeamShort

          public CfgTeamShort()

    - #### CfgTeamShort

          public CfgTeamShort(int wmTeamId,
                      int wmSiteId,
                      java.lang.String wmName,
                      int wmAgentsNSizeIs)

  - ### Method Detail

    - #### getWmTeamId

          public int getWmTeamId()

      Gets the wmTeamId value for this CfgTeamShort.
      Returns:
        wmTeamId

    - #### setWmTeamId

          public void setWmTeamId(int wmTeamId)

      Sets the wmTeamId value for this CfgTeamShort.
      Parameters:
        `wmTeamId` -

    - #### getWmSiteId

          public int getWmSiteId()

      Gets the wmSiteId value for this CfgTeamShort.
      Returns:
        wmSiteId

    - #### setWmSiteId

          public void setWmSiteId(int wmSiteId)

      Sets the wmSiteId value for this CfgTeamShort.
      Parameters:
        `wmSiteId` -

    - #### getWmName

          public java.lang.String getWmName()

      Gets the wmName value for this CfgTeamShort.
      Returns:
        wmName

    - #### setWmName

          public void setWmName(java.lang.String wmName)

      Sets the wmName value for this CfgTeamShort.
      Parameters:
        `wmName` -

    - #### getWmAgentsNSizeIs

          public int getWmAgentsNSizeIs()

      Gets the wmAgentsNSizeIs value for this CfgTeamShort.
      Returns:
        wmAgentsNSizeIs

    - #### setWmAgentsNSizeIs

          public void setWmAgentsNSizeIs(int wmAgentsNSizeIs)

      Sets the wmAgentsNSizeIs value for this CfgTeamShort.
      Parameters:
        `wmAgentsNSizeIs` -

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.